package gov.va.med.cds.testharness.vhim400.builders;

import gov.va.med.cds.junit.runners.Suite;
import gov.va.med.cds.testharness.AbstractBaseTest;

import org.dom4j.Document;
import org.dom4j.Element;
import org.dom4j.io.OutputFormat;
import org.dom4j.io.XMLWriter;
import org.junit.Assert;
import org.junit.Test;

public class BuilderTest extends AbstractBaseTest{
	
	protected void printElementToSystemOut( Element e )
    {
        OutputFormat format = OutputFormat.createPrettyPrint();
        //OutputFormat format = OutputFormat.createCompactFormat();
        XMLWriter writer;
        try
        {
            writer = new XMLWriter( System.out, format );
            writer.write( e );
        }
        catch ( Exception e1 )
        {
            e1.printStackTrace();
        }
        System.out.println("\n");
    }
	
	protected void printDocumentToSystemOut( Document d )
    {
        OutputFormat format = OutputFormat.createPrettyPrint();
        //OutputFormat format = OutputFormat.createCompactFormat();
        XMLWriter writer;
        try
        {
            writer = new org.dom4j.io.XMLWriter( System.out, format );
            writer.write( d );
        }
        catch ( Exception e1 )
        {
            e1.printStackTrace();
        }
        System.out.println("\n");
    }
	
	 @Test
	 @Suite(groups="prototypetest") // test used only to avoid initialization errors when class loads without at least one test method.
	 public void testEmpty( )
	 {
	     Assert.assertTrue(true);
	 }
	    
}
